curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
أصول QR
إنشاء قالب شعار نص
POST /qr-assets/text-logo/
POST
/
qr-assets
/
text-logo
/
curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
يحفظ قالب شعار نص جديدًا، على مضيف Management API (
الشعار المُنشأ يكون دائمًا مملوكًا لهذا الحساب — يُعاد
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
POST https://api.scanova.io/qr-assets/text-logo/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
مطلوب
نص الشعار، بحد أقصى 20 حرفًا.
boolean
افتراضي:"false"
نمط عريض.
boolean
افتراضي:"false"
نمط مائل.
string
افتراضي:"000000"
لون سداسي عشري، دون بادئة
#، بحد أقصى 10 أحرف.integer
افتراضي:"100"
حجم الخط.
string
افتراضي:"Arial"
اسم عائلة الخط، بحد أقصى 100 حرف.
curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
has_user بقيمة true.
ذات صلة
- سرد قوالب شعار النص — الاطلاع على الشعارات المحفوظة والافتراضية.
- حذف قالب شعار نص — حذف هذا الشعار.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
201 - application/json
Text logo created.
هل كانت هذه الصفحة مفيدة؟